Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Categories

List
GET /calendarmodules/{moduleId}/categories
https://api.relesysapp.net/api/v1.1/calendarmodules/{moduleId}/categories
Get a list of calendar categories.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"ed4851a7-5ce8-4737-ab2d-8dab13054ffa","url":null,"creationDateTime":"2026-11-12T20:44:16.3103477+00:00","lastModifiedDateTime":"2026-11-13T20:44:16.3103477+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"},{"culture":"da-DK","title":"Calendar category locale title example 2"}]},{"id":"6d2dfafa-c617-4988-ad72-4f8749dcbdff","url":null,"creationDateTime":"2026-11-12T20:44:16.3103477+00:00","lastModifiedDateTime":"2026-11-13T20:44:16.3103477+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"}]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    title string      
   url string      
  nextUrl string      
  previousUrl string